Foreman - Feature #176

add support for dynamic disk layouts
03/11/2010 02:23 AM - Ohad Levy

Status: Closed

Priority: Normal

Assignee: Paul Kelly

Category: Unattended installations

Target version: 0.1-5

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

it should be possible to use a script in PRE section of kickstart instead of a static disk layout

Associated revisions

Revision a0d9ae09 - 03/17/2010 02:14 AM - Paul Kelly

Fixes #176 - Dynamic disk layouts are supported

A disk layout that contains the string "#Dynamic" causes the partition
table entry to be written out as a script and executed as a %pre operation.
It is expected that the script leaves its results, a partition table, in
/tmp/diskpart.cfg. This is then loaded into the kikstart environemnt via

a %include directive.

History

#1 - 03/15/2010 01:04 PM - Paul Kelly
- Status changed from New to Ready For Testing

This is fixed on branch feature/176 on my github

A disk layout that contains the string "#Dynamic" causes the partition
table entry to be written out as a script and executed as a %pre operation.
It is expected that the script leaves its results, a partition table, in
/tmp/diskpart.cfg. This is then loaded into the kickstart environment via

a %include directive.

#2 - 03/23/2010 12:55 PM - Paul Kelly
- % Done changed from 0 to 100

Applied in changeset a0d9ae098af3fffd0ac707bd9894dc00a2f0380e.

#3 - 03/25/2010 01:29 PM - Ohad Levy
- Assignee changed from Ohad Levy to Paul Kelly

Paul, Would you mind updating the wiki and close the ticket?

#4 - 03/28/2010 11:58 PM - Paul Kelly
- Status changed from Ready For Testing to Closed
